curl --request GET \
--url 'https://api-prod.usefini.com/v2/replays/9d4bbcf7-e7e1-44a6-9a64-ff0a12dfe625/public' \
--header 'Authorization: Bearer fini_your_api_key'
import requests
replay_id = "9d4bbcf7-e7e1-44a6-9a64-ff0a12dfe625"
response = requests.get(
f"https://api-prod.usefini.com/v2/replays/{replay_id}/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
replay = response.json()
const replayId = "9d4bbcf7-e7e1-44a6-9a64-ff0a12dfe625";
const response = await fetch(
`https://api-prod.usefini.com/v2/replays/${replayId}/public`,
{
headers: {
Authorization: "Bearer fini_your_api_key",
},
}
);
const replay = await response.json();
{
"id": "9d4bbcf7-e7e1-44a6-9a64-ff0a12dfe625",
"companyId": "6bc9f4f8-3564-4a9c-8cc0-ea1f1dd66c2d",
"botId": "2a1cf0f0-f35d-46ad-8e61-a15c86b2b312",
"source": "replay",
"channel": "widget",
"status": "resolved",
"createdAt": "2026-07-30T12:18:03.211Z",
"updatedAt": "2026-07-30T12:18:14.904Z",
"parentInteractionId": "0b8626b0-4cc8-4a3d-8fc2-f18ad1a4a1a8",
"replay": {
"target_event_id": "f61a9a11-2c3b-4704-8f57-7078854d87cf",
"status": "done",
"ml_models": {
"generateAnswer": "gpt-4.1"
}
}
}
Replays
Get replay
Fetch one replay conversation by ID.
GET
/
v2
/
replays
/
{id}
/
public
curl --request GET \
--url 'https://api-prod.usefini.com/v2/replays/9d4bbcf7-e7e1-44a6-9a64-ff0a12dfe625/public' \
--header 'Authorization: Bearer fini_your_api_key'
import requests
replay_id = "9d4bbcf7-e7e1-44a6-9a64-ff0a12dfe625"
response = requests.get(
f"https://api-prod.usefini.com/v2/replays/{replay_id}/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
replay = response.json()
const replayId = "9d4bbcf7-e7e1-44a6-9a64-ff0a12dfe625";
const response = await fetch(
`https://api-prod.usefini.com/v2/replays/${replayId}/public`,
{
headers: {
Authorization: "Bearer fini_your_api_key",
},
}
);
const replay = await response.json();
{
"id": "9d4bbcf7-e7e1-44a6-9a64-ff0a12dfe625",
"companyId": "6bc9f4f8-3564-4a9c-8cc0-ea1f1dd66c2d",
"botId": "2a1cf0f0-f35d-46ad-8e61-a15c86b2b312",
"source": "replay",
"channel": "widget",
"status": "resolved",
"createdAt": "2026-07-30T12:18:03.211Z",
"updatedAt": "2026-07-30T12:18:14.904Z",
"parentInteractionId": "0b8626b0-4cc8-4a3d-8fc2-f18ad1a4a1a8",
"replay": {
"target_event_id": "f61a9a11-2c3b-4704-8f57-7078854d87cf",
"status": "done",
"ml_models": {
"generateAnswer": "gpt-4.1"
}
}
}
Returns one replay conversation record by ID. Use this when you already have a replay ID from Create replay or List replays.
Headers
string
required
Bearer token containing your Fini workspace API key. Format:
Bearer fini_... The key needs read scope.Path parameters
string
required
Replay conversation ID to fetch.
curl --request GET \
--url 'https://api-prod.usefini.com/v2/replays/9d4bbcf7-e7e1-44a6-9a64-ff0a12dfe625/public' \
--header 'Authorization: Bearer fini_your_api_key'
import requests
replay_id = "9d4bbcf7-e7e1-44a6-9a64-ff0a12dfe625"
response = requests.get(
f"https://api-prod.usefini.com/v2/replays/{replay_id}/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
replay = response.json()
const replayId = "9d4bbcf7-e7e1-44a6-9a64-ff0a12dfe625";
const response = await fetch(
`https://api-prod.usefini.com/v2/replays/${replayId}/public`,
{
headers: {
Authorization: "Bearer fini_your_api_key",
},
}
);
const replay = await response.json();
Response
Returns the replay conversation record.string
Replay conversation ID.
string
Original conversation ID this replay was created from.
object
Replay metadata, including
target_event_id, status, and optional ml_models.{
"id": "9d4bbcf7-e7e1-44a6-9a64-ff0a12dfe625",
"companyId": "6bc9f4f8-3564-4a9c-8cc0-ea1f1dd66c2d",
"botId": "2a1cf0f0-f35d-46ad-8e61-a15c86b2b312",
"source": "replay",
"channel": "widget",
"status": "resolved",
"createdAt": "2026-07-30T12:18:03.211Z",
"updatedAt": "2026-07-30T12:18:14.904Z",
"parentInteractionId": "0b8626b0-4cc8-4a3d-8fc2-f18ad1a4a1a8",
"replay": {
"target_event_id": "f61a9a11-2c3b-4704-8f57-7078854d87cf",
"status": "done",
"ml_models": {
"generateAnswer": "gpt-4.1"
}
}
}
Errors
401 Unauthorized
401 Unauthorized
The API key is missing, malformed, revoked, or invalid.
403 Forbidden
403 Forbidden
The API key does not include the
read scope required for this route.404 Not Found
404 Not Found
The replay ID does not exist in the workspace.
Was this page helpful?

